## nvidia-graphics-drivers-tesla-418 418.211.00

=== debian/changelog ===
nvidia-graphics-drivers-tesla-418 (418.211.00-1) unstable; urgency=medium

  * New upstream Tesla release 418.211.00 (2021-07-20).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.  (Closes: #991354)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211

  [ Andreas Beckmann ]
  * Refresh patches.
  * nvidia-driver-libs: Add Recommends: libnvidia-encode1
    (470.42.01-1).  (Closes: #989885)
  * debian/gen-control.pl: Support substitutions in the Vcs-Git field
    (470.57.02-1).
  * Compute and substitute the Git branch instead of hardcoding it
    (470.57.02-1).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Jul 2021 11:27:19 +0200

nvidia-graphics-drivers (418.211.00-1) buster; urgency=medium

  * New upstream Tesla release 418.211.00 (2021-07-20).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.  (Closes: #991351)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211

  [ Andreas Beckmann ]
  * Refresh patches.
  * nvidia-driver-libs: Add Recommends: libnvidia-encode1
    (470.42.01-1).  (Closes: #989885)
  * debian/gen-control.pl: Support substitutions in the Vcs-Git field
    (470.57.02-1).
  * Compute and substitute the Git branch instead of hardcoding it
    (470.57.02-1).
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Jul 2021 22:06:09 +0200

nvidia-graphics-drivers (390.144-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.144 (2021-07-20).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211
    - Worked around a bug in Meson builds of libglvnd 1.3.0 that caused the
      nvidia_icd.json file to be installed in the wrong location.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Jul 2021 18:15:32 +0200
