## nvidia-graphics-drivers-tesla-418 418.226.00

=== debian/changelog ===
nvidia-graphics-drivers-tesla-418 (418.226.00-20) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Backport drm_fb_create_takes_format_info changes from 535.274.02 to fix
    kernel module build for Linux 6.17.
  * Backport nv_vma_start_write changes from 570.169.

  [ Luca Boccassi ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Nov 2025 00:05:30 +0100

nvidia-graphics-drivers-tesla-418 (418.226.00-19) unstable; urgency=medium

  * Backport ccflags-y and nv_timer_delete_sync changes from 570.153.02 and
    drm_connector_helper_funcs_mode_valid_has_const_mode_arg changes from
    550.163.01 and import tentative fix from CachyOS for avoiding calls to
    GPL-only symbol __vma_start_write to fix kernel module build for
    Linux 6.15.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jun 2025 17:21:29 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-18) unstable; urgency=medium

  * Backport drm_driver_has_date changes from 570.124.04 to fix kernel module
    build for Linux 6.14.
  * Backport file_operations_fop_unsigned_offset_present changes from
    535.230.02.
  * nvidia-vulkan-icd: Promote libnvidia-rtcore to Depends.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 29 Mar 2025 13:11:18 +0100

nvidia-graphics-drivers-tesla-418 (418.226.00-17) unstable; urgency=medium

  * Backport cmd_symlink changes from 550.142 to fix kernel module build for
    Linux 6.13.
  * Backport drm_output_poll_changed changes from 535.216.01 to fix kernel
    module build for Linux 6.12.  (Closes: #1090248)
  * Backport warning fixes from 430.09, 435.17, 510.39.01, 535.146.02,
    535.216.01, 535.230.02, 560.28.03 and 565.57.01.
  * Simplify using nv_pfn_valid() in virt_addr_valid() on ppc64el.
  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm*.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jan 2025 22:16:33 +0100

nvidia-graphics-drivers-tesla-418 (418.226.00-16) unstable; urgency=medium

  * Backport pfn_valid() usage removal in nv-mmap.c from 470.239.06.
  * Use pfn_valid() variant with rcu_read_{,un}lock_sched() from Linux 6.8-rc3
    in virt_addr_valid() for Linux 5.10.210 - 5.10.999 to avoid using GPL
    symbols on ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Aug 2024 15:23:24 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-15) unstable; urgency=medium

  * Backport CONFIG_MITIGATION_RETPOLINE changes from 470.256.02.
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Jul 2024 02:59:41 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-14) unstable; urgency=medium

  * Backport drm_unlocked_ioctl_flag_present changes from 470.239.06 to fix
    kernel module build for Linux 6.8.
  * New Romanian (ro) debconf translations by Remus-Gabriel Chelu.
  * xserver-xorg-video-nvidia: Recommend nvidia-vulkan-icd.
  * Move the libnvidia-glvkspirv dependency to libnvidia-(e)glcore.
    (Cf. #1064194)
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 May 2024 23:57:56 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-13) unstable; urgency=medium

  * Revert backport of pin_user_pages changes.
  * Backport drm_gem_prime_handle_to_fd changes from 470.223.02 to fix kernel
    module build for Linux 6.6.
  * Refuse to load module if IBT is enabled.  (Closes: #1052069)
  * Switch suggestion from obsolete vulkan-utils to vulkan-tools
    (525.125.06-3).  (Closes: #1055503)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Nov 2023 13:27:57 +0100

nvidia-graphics-drivers-tesla-418 (418.226.00-12) unstable; urgency=medium

  * Backport get_user_pages and pin_user_pages changes from 520.56.06,
    525.53 and 535.86.05 to fix kernel module build for Linux 6.5.
  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Aug 2023 13:47:48 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-11) unstable; urgency=medium

  * Backport vm_area_struct_has_const_vm_flags changes from 470.199.02 to fix
    kernel module build for Linux 6.3.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Jun 2023 14:07:08 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-10) unstable; urgency=medium

  * Backport acpi_op_remove changes from 470.182.03 to fix kernel module build
    for Linux 6.2.
  * Backport drm_connector_has_override_edid changes from 525.78.01 to fix
    kernel module build for Linux 6.2.
  * nvidia-tesla-418-alternative: Access kmod config files over a versioned
    symlink (510.108.03-3).
  * Add versioned Provides: nvidia-kernel-dkms-any (515.65.01-1).
  * New Brazilian Portuguese (pt_BR) debconf translations by Paulo Henrique de
    Lima Santana.  (Closes: #1028264)
  * Updated Turkish (tr) debconf translations by Atila KOÇ. (Closes: #1033545)
  * Bump Standards-Version to 4.6.2. No changes needed.
  * Build the nvidia-nonglvnd-vulkan-common package from this source, only
    needed by nvidia-{legacy-390xx,tesla-418}-nonglvnd-vulkan-icd.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Apr 2023 10:00:34 +0200

nvidia-graphics-drivers-tesla-418 (418.226.00-9) unstable; urgency=medium

  * Backport find_vma_intersection changes from 450.203.08 to fix kernel
    module build for Linux 6.1.
  * Backport acpi changes from 390.157, replacing earlier backports.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends (510.108.03-1).
  * Try to compile a kernel module at package build time (510.108.03-1).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Dec 2022 02:32:10 +0100


