=== debian/rules ===
--- 
+++ 
@@ -6,27 +6,35 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
+NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
+NVIDIA_MAJOR		 = $(firstword $(subst ., ,$(NVIDIA_RELEASE)))
 include debian/rules.defs
 NVIDIA_TESLA		?=
 NVIDIA_LEGACY		?=
-WATCH_VERSION		?= $(or $(NVIDIA_TESLA),$(NVIDIA_LEGACY))
+WATCH_VERSION		?= $(or $(subst yes,$(TESLA_MAJOR),$(NVIDIA_TESLA)),$(NVIDIA_LEGACY))
 WATCH_PATTERN		?=
+GIT_BRANCH		?= $(if $(variant),$(variant)/main,$(version_major))
 XORG_ABI_LIST		?=
 XORG_BOUND		?=
+LINUX_KMOD_VARIANT	?=
 LINUX_KMOD_TESTED	?=
 NVIDIA_LEGACY_CHECK	?=
-NVIDIA_SETTINGS		?= nvidia-settings$(-variant)
+NVIDIA_SETTINGS		?= nvidia-settings$(-variant) (>= $(NVIDIA_MAJOR))
 ARCH_CANDIDATES		?= amd64 i386 armhf ppc64el
 ARCH_LIST		?= amd64
 BLOB_ARCH_LIST		?= $(strip $(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)))
 NO_DRIVER_ARCH_LIST	?=
-NO_UVM_ARCH_LIST	?=
+NO_TARBALL_ARCH_LIST	?=
+NO_AUTOPKGTEST_ARCH_LIST?=
 NO_VULKAN_ARCH_LIST	?=
 
-NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
 version			 = $(NVIDIA_RELEASE)
-version_major		 = $(firstword $(subst ., ,$(version)))
-ifneq (,$(NVIDIA_TESLA))
+version_major		 = $(NVIDIA_MAJOR)
+ifeq (yes,$(NVIDIA_TESLA))
+variant			 = $(if $(NVIDIA_TESLA),tesla)
+variant_description	 = $(if $(NVIDIA_TESLA), (Tesla version))
+variant_description_short= $(if $(NVIDIA_TESLA), (Tesla version))
+else ifneq (,$(NVIDIA_TESLA))
 variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA))
 variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version))
 variant_description_short= $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA)))
@@ -41,22 +49,17 @@
 nvidia-			 = $(nvidia)$(trailing_minus)
 nvidia_if_variant	 = $(if $(variant),$(nvidia)-)
 current			 = $(if $(variant),$(variant),current)
-module			 = nvidia-$(current)
+module-current		 = $(current)$(LINUX_KMOD_VARIANT)
+module			 = nvidia-$(module-current)
+nvidia-kernel		 = $(nvidia)$(LINUX_KMOD_VARIANT)-kernel
 libcuda1		 = lib$(nvidia_if_variant)cuda1
 watch_pattern		 = $(or $(WATCH_PATTERN),$(if $(WATCH_VERSION),$(WATCH_VERSION)(?:\.[\d\.\-]+)?),\d[\d\.\-]*)
-standards_version	:= $(shell sed -rn 's/Standards-Version: (.*)/\1/p' debian/control)
 debhelper_compat	:= $(shell sed -rn 's/.*debhelper-compat \(= ([0-9]+)\).*/\1/p' debian/control)
-has_driver		 = $(filter $(DEB_HOST_ARCH),$(filter-out $(NO_DRIVER_ARCH_LIST),$(ARCH_LIST)))
-has_uvm			 = $(filter $(DEB_HOST_ARCH),$(filter-out $(NO_UVM_ARCH_LIST),$(ARCH_LIST)))
+has_driver		 = $(filter $(DEB_HOST_ARCH),$(DRIVER_ARCH_LIST))
 has_vulkan		 = $(filter $(DEB_HOST_ARCH),$(filter-out $(NO_VULKAN_ARCH_LIST),$(ARCH_LIST)))
 DRIVER_ARCH_LIST	 = $(filter-out $(NO_DRIVER_ARCH_LIST),$(ARCH_LIST))
-
-# this needs the internal names (i.e. upstream's names, not our renamed files)
-unload_modules		 =
-unload_modules		+= nvidia-drm
-unload_modules		+= nvidia-modeset
-unload_modules		+= $(if $(has_uvm),nvidia-uvm)
-unload_modules		+= nvidia
+TARBALL_ARCH_LIST	 = $(filter-out $(NO_TARBALL_ARCH_LIST),$(DRIVER_ARCH_LIST))
+AUTOPKGTEST_ARCH_LIST	 = $(filter-out $(NO_AUTOPKGTEST_ARCH_LIST),$(DRIVER_ARCH_LIST))
 
 # system libdir
 libdir			?= usr/lib/$(DEB_HOST_MULTIARCH)
@@ -91,16 +94,26 @@
 LEGACY_CONTROL	:= $(wildcard $(patsubst %,debian/%*,$(CONTROL_PREFIXES_RENAMED)))
 RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
 RENAMED_CONTROL	 = $(foreach f,$(RENAME_CONTROL),$(call applyprefixrenamelist,$f,$(CONTROL_PREFIXES)))
-TEMPLATES	:= $(wildcard debian/*.in debian/module/debian/*.in debian/module/debian/patches/*.in debian/detect/*.in)
-AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
-AUTOGEN		+= debian/module/debian/changelog
+
+TEMPLATE_DIRS	 = debian
+TEMPLATE_DIRS	+= debian/module/debian
+TEMPLATE_DIRS	+= debian/module/debian/patches
+TEMPLATE_DIRS	+= debian/detect
+TEMPLATE_DIRS	+= debian/tests
+TEMPLATES	:= $(wildcard $(addsuffix /*.in,$(TEMPLATE_DIRS)))
+
+AUTOGEN		 = $(TEMPLATES:.in=)
+AUTOGEN		+= $(RENAMED_CONTROL:.in=)
 AUTOGEN		+= debian/module/debian/bug-control
-AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
+AUTOGEN		+= debian/module/debian/control.template
 AUTOGEN		+= debian/bug-control
 AUTOGEN		+= debian/substvars
 AUTOGEN		+= $(if $(has_vulkan),glvnd/nvidia_icd.json nonglvnd/nvidia_icd.json)
 AUTOGEN		+= $(AUTOKEEP)
-AUTOKEEP	 = debian/watch debian/control
+AUTOKEEP	 = debian/watch
+AUTOKEEP	+= debian/tests/autopkgtest-pkg-dkms.conf
+AUTOKEEP	+= debian/tests/control
+AUTOKEEP	+= debian/control
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
 empty		 =
@@ -110,6 +123,11 @@
 xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND)
 xorg_provides	 = xorg-driver-video
 
+deps_nvidia_kmod_binary	 = $${nvidia-kernel}-dkms (= $${binary:Version})                [$${nvidia:archlist:driver}] |
+deps_nvidia_kmod_binary	+= $${nvidia-kernel}-$${nvidia:Version}                         [$${nvidia:archlist:driver}] |
+deps_nvidia_kmod_source	 = $${nvidia-kernel}-dkms (>= $${nvidia:Version})               [$${nvidia:archlist:driver}] |
+deps_nvidia_kmod_source	+= $${nvidia-kernel}-source (>= $${nvidia:Version})             [$${nvidia:archlist:driver}] |
+
 
 .PHONY: autogen prepare patch
 autogen: debian/control $(AUTOGEN)
@@ -147,14 +165,17 @@
 	cp -al $</*.json* $@
 endif
 
-# Unpack all architectures, we may need files from all of them.
-unpack-stamp: $(patsubst %,NVIDIA-Linux-%,$(ARCH_LIST))
+# Always unpack amd64, we need files from them.
+unpack-stamp: NVIDIA-Linux-amd64
+unpack-stamp: NVIDIA-Linux-$(DEB_HOST_ARCH)
 	$(if $(filter $(DEB_HOST_ARCH),$(ARCH_LIST)),,$(error Architecture $(DEB_HOST_ARCH) unsupported.))
 	dh_testdir
 	$(RM) NVIDIA-Linux
 	ln -s NVIDIA-Linux-$(DEB_HOST_ARCH) NVIDIA-Linux
 ifneq (,$(has_driver))
 	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
+	# bashism is used on a few architectures only
+	sed -i 's/==/=/g' NVIDIA-Linux/nvidia-bug-report.sh
 endif
 	ls -al
 	touch $@
@@ -180,34 +201,5 @@
 		: "*** Supported PCI IDs have changed. See diff above. Aborting. ***"; \
 		exit 1 ; \
 	fi
-
-nvidia.ids: nv-readme.ids
-	cp $< $@
-
-# Reformat the LICENSE to the format needed for debian/copyright.
-LICENSE.txt: unpack-stamp
-	sed -e 's/^ *//; s/ *$$//; s/^$$/./; s/^/ /;' NVIDIA-Linux/LICENSE > $@
-
-# Compare the license in debian/copyright with the LICENSE shipped in the archive.
-compare-copyright-license: LICENSE.txt
-	sed -e '1,/^License: NVIDIA-graphics-drivers/d; 1,/^License: NVIDIA-graphics-drivers$$/d; /^$$\|^Comment:$$/,$$d; /^ \.$$/d' debian/copyright > copyright.tmp
-	sed -e '/^ \.$$/d' LICENSE.txt > LICENSE.tmp
-	diff -w copyright.tmp LICENSE.tmp
-	$(RM) copyright.tmp LICENSE.tmp
-
-.PHONY: binary binary-arch binary-indep build clean install
-binary binary-arch binary-indep build clean install:
-	dh $@
-
-override_dh_auto_clean:
-	$(RM) -r .pc
-	$(RM) NVIDIA-Linux
-	$(RM) -r $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
-	$(RM) -r build
-	$(RM) -r glvnd nonglvnd
-	$(RM) -r kernel-source-tree
-	$(RM) nvidia.ids nv-readme.ids pci.ids.nvidia*
-	$(RM) LICENSE.txt LICENSE.tmp copyright.tmp
-	test ! -d debian/po || debconf-updatepo
-
-override_dh_clean:
+ifneq (,$(variant))
+	@set -e -x ; \
